package com.tzld.longarticle.recommend.server.web;

import com.tzld.longarticle.recommend.server.model.Result;
import com.tzld.longarticle.recommend.server.service.JobService;
import com.tzld.longarticle.recommend.server.service.UserManagementService;
import com.tzld.longarticle.recommend.server.service.WXListenService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author dyp
 */
@RestController
@Slf4j
@RequestMapping("/job")
public class JobController {
    @Autowired
    private JobService jobService;


    @RequestMapping("/syncViewCount")
    public String syncViewCount() {
        jobService.syncViewCount();
        return "success";
    }

}
