package com.tzld.longarticle.recommend.server.common.enums;

import java.util.Objects;

public enum StaffEnum {

    STAFF_ENUM_1("XinYi", "精彩内容分享官"),
    STAFF_ENUM_2("SongYi", "精彩内容推荐官"),
    STAFF_ENUM_3("17512006748", "精彩视频福利官");

    StaffEnum(String userId, String name) {
        this.userId = userId;
        this.name = name;

    }

    public final String userId;
    public final String name;

    public static String getName(String userId) {
        for (StaffEnum staffEnum : StaffEnum.values()) {
            if (Objects.equals(staffEnum.userId, userId)) {
                return staffEnum.name;
            }
        }
        return null;
    }

}
