package com.tzld.longarticle.recommend.server.service.recall;

import com.tzld.longarticle.recommend.server.model.dto.Content;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author dyp
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class RecallResult {
    private List<RecallData> data;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class RecallData {
        private boolean backup;
        private List<Content> contents;
        private List<Content> filterContents;
    }


}
