package com.tzld.longarticle.recommend.server.service.score;


import com.tzld.longarticle.recommend.server.util.DateUtils;

import java.util.List;

/**
 * @author dyp
 */
public interface ScoreStrategy {
    List<Score> score(ScoreParam param);

    public static boolean hisContentLateFilter(Long publishTime) {
        // 过滤掉发布时间晚于19点数据
        int publishHour = DateUtils.getHourByTimestamp(publishTime);
        return publishHour >= 19;
    }
}
