package com.tzld.longarticle.recommend.server.web;

import com.tzld.longarticle.recommend.server.model.param.RecommendRequest;
import com.tzld.longarticle.recommend.server.model.vo.RecommendResponse;
import com.tzld.longarticle.recommend.server.model.vo.RecommendWithUserGroupResponse;
import com.tzld.longarticle.recommend.server.service.RecommendService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author dyp
 */
@RestController
@Slf4j
public class RecommendController {
    @Autowired
    private RecommendService recommendService;

    @RequestMapping("/recommend")
    public RecommendResponse recommend(@RequestBody RecommendRequest httpRequest) {

        return recommendService.recommend(httpRequest);
    }

    @RequestMapping("/recommend4FwhColdStart")
    public RecommendWithUserGroupResponse recommend4FwhColdStart(@RequestBody RecommendRequest httpRequest) {

        return recommendService.recommend4FwhColdStart(httpRequest);
    }

}
